UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 63696

2014.4.1 Known Issue: Running write_bitstream with Authentication and Encryption bitstream options might cause a crash in 2014.4.1

Description

There are two 2014.4.1 known issues with bitstream authentication in UltraScale devices. 

1) When using the write_bitstream property Bitstream.authentication.authenticate:yes, a .pem file is required.

If the file is not supplied the tools will crash.  


2) When using the write_bitstream properties Bitstream.authentication.authenticate:yes AND Bitstream.encryption.encrypt:yes AND Bitstream.encryption.obfuscatekey:enable, a .nky file needs to be supplied and fully populated or the tools will crash. 


Solution

Both of these issues are addressed in the 2015.1 release.

1) When using the write_bitstream property Bitstream.authentication.authenticate:yes, a .pem file is required.

In 2015.1 the tools will provide an error.

 

2) When using the write_bitstream properties Bitstream.authentication.authenticate:yes AND Bitstream.encryption.encrypt:yes AND Bitstream.encryption.obfuscatekey:enable, a .nky file needs to be supplied and fully populated or the tools will crash.

 In 2015.1 the tools will auto-generate a .nky file using random numbers if no file is specified.

AR# 63696
Date Created 02/25/2015
Last Updated 02/26/2015
Status Active
Type General Article
Devices
  • Kintex UltraScale
  • Virtex UltraScale